al_clear_depth_buffer(3)

NAME

al_clear_depth_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_clear_depth_buffer(float z)

DESCRIPTION

Clear the depth buffer (confined by the clipping rectangle) to the given value. A depth buffer is only available if it was requested with al_set_new_display_option(3) and the requirement could be met by the al_create_display(3) call creating the current display. Operations involving the depth buffer are also affected by al_set_render_state(3).

For example, if ALLEGRO_DEPTH_FUNCTION is set to ALLEGRO_RENDER_LESS then depth buffer value of 1 represents infinite distance, and thus is a good value to use when clearing the depth buffer.

SINCE

5.1.2

SEE ALSO

al_clear_to_color(3), al_set_clipping_rectangle(3), al_set_render_state(3), al_set_new_display_option(3)